%define pkg_name        Lingua-EN-NamedEntity
%define pkg_version     1.7
%define rpm_pkg_version 1.7
%define rpm_pkg_release 1.n0i.2

Summary:       Basic Named Entity Extraction algorithm
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AM/AMBS/Lingua/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(DB_File)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Lingua::Stem::En)
%endif


%description
"Named entities" is the NLP jargon for proper nouns which represent people,
places, organisations, and so on. This module provides a very simple way of
extracting these from a text.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.7-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.7

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 1.6-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
